/**
 *
 * @param {AABB3} result
 * @param {TopoMesh} mesh
 */
export function computeTopoMeshBoundiningBox(result, mesh) {
    result.setNegativelyInfiniteBounds();

    const vertices = mesh.vertices;
    const vertex_count = vertices.length;
    for (let i = 0; i < vertex_count; i++) {
        const vertex = vertices[i];

        result._expandToFitPoint(vertex.x, vertex.y, vertex.z);
    }
}
